[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodeExpandedState.OnGetNodeText

Event handler signalled to get the text for the specified tree node.

## Declaration

Source position: comctrls.pp line 3942

`public property TTreeNodeExpandedState.OnGetNodeText : TTVGetNodeText read FOnGetNodeText write FOnGetNodeText;`

## Description

OnGetNodeText is a TTVGetNodeText property with the event handler signalled to get the text for the tree node passed as an argument. It is signalled from the CreateChildNodes method when the tree node has a parent node, or when expanding its child nodes. It is also signalled from the Apply method to get the text for an expanded child node.